<?php
require('conexion.php');

$salida = "<tr>";
if(isset($_POST['prod']) && isset($_POST['dateIni']) && isset($_POST['dateFin'])){
    
    $id_prod=$_POST['prod'];
    $from_date=$_POST['dateIni'];
    $to_date=$_POST['dateFin'];

    $query="SELECT nta.id 'ID', nta.ntv_no_nota, nta.ntv_fecha_creacion, nta.ntv_hora_ini, nta.ntv_subtotal, nta.ntv_total_nota, nta.ntv_no_mesa, nta.ntv_no_personas, nta.ntv_tarjeta, nta.ntv_efectivo,
    prd_nta.id_producto, prd.pro_nombre, prd.pro_precio_venta, prd.pro_clasificaciones, SUM(prd_nta.pdn_cantidad) as pdn_cantidad, 
    SUM(prd_nta.pdn_cantidad* prd.pro_precio_venta) 'total' 
    FROM notas_venta nta 
    inner join productos_nota prd_nta on prd_nta.id_nota_venta= nta.id 
    inner JOIN productos prd on prd.id=prd_nta.id_producto 
    WHERE nta.ntv_fecha_creacion BETWEEN  '$from_date' AND '$to_date' 
    AND ntv_estatus = 'finalizado' AND prd_nta.id_producto='$id_prod' AND (prd_nta.impreso!=0 or prd_nta.impreso='IC') GROUP BY nta.ntv_no_nota";

    $resultado = query($query);
    if($resultado->num_rows > 0){
            while($fila = mysqli_fetch_assoc($resultado)){
                $salida.="<td class='align-middle text-center'>".$fila['pro_nombre']."</td>
                        <td class='align-middle text-center'>".$fila['ntv_no_nota']."</td>
                        <td class='align-middle text-center'>".$fila['ntv_fecha_creacion']."</td>
                        <td class='align-middle text-center'>".$fila['pdn_cantidad']."</td>
                        <td class='align-middle text-center'>$ ".$fila['total']."</td>
                        <td class='align-middle text-center'>".$fila['ntv_no_mesa']."</td>
                ";
                $salida .= "</tr>";
            }
    }else{
            $salida .= "No hay resultados ";
    }
    
}

echo $salida;
?>